Bug 496707 - Laptop T60 hangs when external screen is connected
Laptop T60 hangs when external screen is connected
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-radeonhd (Show other bugs)
11
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Hans Ulrich Niedermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-20 15:21 EDT by vincentvdk
Modified: 2018-04-11 14:20 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-08 16:10:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description vincentvdk 2009-04-20 15:21:28 EDT
Description of problem:

When i connect an external monitor to my T60 thinkpad and boot the machine, the machine hangs after the gdm login.
When i connect the screen after login there's no problem.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.connecto monitor to portable
2.boot the machine
3.
  
Actual results:
After gdm login, the screen hangs.

Expected results:
normal screen behavior

Additional info:

there is no problem when the monitor is connected after user is logged in.
Comment 1 Hans Ulrich Niedermann 2009-04-24 08:55:27 EDT
What kind of graphics chip is that?

Are you sure you are using the radeonhd driver from the xorg-x11-drv-radeonhd package? (As opposed to the radeon driver from the xorg-x11-drv-ati package)

What package versions of kernel, Xorg driver are you running?

Any log files?

Is the issue reproducible by running "Xorg :2" from a root console login shell?

Can the issue be worked around by booting the kernel with the "nomodeset" parameter? Note that the radeonhd driver only works with nomodeset.
Comment 2 Bug Zapper 2009-06-09 10:14:14 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Hans Ulrich Niedermann 2009-07-19 10:20:36 EDT
I'd like to ask you to reproduce the issue with current package versions and answer the questions from comment #1.

If we do not get any more information, we cannot solve this bug and have to close it INSUFFICIENT_DATA.
Comment 4 Matěj Cepl 2009-11-05 13:27:15 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 5 vincentvdk 2009-11-05 14:36:52 EST
This issue can be closed, works perfectly.. also on the upcoming Fedora 12
Comment 6 Matěj Cepl 2009-11-08 16:10:07 EST
Thank you for letting us know.

Note You need to log in before you can comment on or make changes to this bug.